AWS RDS Unable to create Aurora postgres10.12 instance


I’m trying to launch a r5 4XL instance running Aurora (10.12 postgres compatible.) but this version is not avaiable to select. 10.11 is the latest 10.x version that I see.

According to this doc 10.12 should be availabe.
https://aws.amazon.com/about-aws/whats-new/2020/06/amazon-aurora-supports-postgresql-versions-117-1012-and-9617-and-adds-global-database-for-postgresql-117/